#include <expat.h>

class XMLParser
{
public:
  XMLParser();
  bool parseConfigFile(Config* conf, char *configFile);
  bool parseDataFile(TrafficData* data, char *dataFile);
  void Start(const char *el, const char **attr);
  void End(const char *el);

private:
  bool parseFile(char *file);
  const char *getParam(char *name, const char **attr);
  void HandleConfigElement(const char *el, const char **attr);
  XML_Parser Parser;

  Config *Conf;
  TrafficData *Data;
  struct xml_element *Root;
  struct xml_element *Current;
  unsigned int IP;

};
